#version 450 core

uniform int nbPoints;

layout (location = 0) in vec3 position;
out vec3 vColor;

void main() {
    gl_Position = vec4(position, 1.0);
    float a = gl_VertexID/256.f;
    vColor = vec3(a, 0.f, 1.f - a);
    vColor = vec3(position * 0.5f + vec3(0.5f));
}
